-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 27, 2023 at 10:44 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inet_sales_inventory_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `companysetup`
--

CREATE TABLE `companysetup` (
  `index_num` int(11) NOT NULL,
  `companyname` varchar(255) NOT NULL,
  `location` varchar(255) NOT NULL,
  `contact` varchar(255) NOT NULL,
  `tinno` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `setpredictivedays`
--

CREATE TABLE `setpredictivedays` (
  `numdays` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbladjustitemqty`
--

CREATE TABLE `tbladjustitemqty` (
  `id` int(11) NOT NULL,
  `productid` int(11) NOT NULL,
  `qty` decimal(10,2) NOT NULL,
  `userid` int(11) NOT NULL,
  `dateencoded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblaudittrail`
--

CREATE TABLE `tblaudittrail` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `action` varchar(10) NOT NULL,
  `productid` int(11) DEFAULT NULL,
  `daterecorded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblcategory`
--

CREATE TABLE `tblcategory` (
  `id` int(11) NOT NULL,
  `categoryname` varchar(255) NOT NULL,
  `description` text DEFAULT NULL,
  `userid` int(11) NOT NULL,
  `dateencoded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblinvoice`
--

CREATE TABLE `tblinvoice` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `totalamount` decimal(10,2) NOT NULL,
  `discountprice` decimal(10,2) DEFAULT NULL,
  `tendered` decimal(10,2) DEFAULT NULL,
  `changeamount` decimal(10,2) DEFAULT NULL,
  `daterecorded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblitemrawmaterial`
--

CREATE TABLE `tblitemrawmaterial` (
  `id` int(11) NOT NULL,
  `productid` int(11) NOT NULL,
  `materialname` varchar(255) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `userid` int(11) NOT NULL,
  `dateencoded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblproduct`
--

CREATE TABLE `tblproduct` (
  `id` int(11) NOT NULL,
  `itemcode` varchar(50) NOT NULL,
  `itemname` varchar(255) NOT NULL,
  `variant` varchar(255) DEFAULT NULL,
  `unitvalue` decimal(10,2) DEFAULT NULL,
  `unitid` int(11) DEFAULT NULL,
  `categoryid` int(11) DEFAULT NULL,
  `netprice` decimal(10,2) DEFAULT NULL,
  `productioncost` decimal(10,2) DEFAULT NULL,
  `markuppercent` decimal(10,2) DEFAULT NULL,
  `markupprice` decimal(10,2) DEFAULT NULL,
  `discount` decimal(10,2) DEFAULT NULL,
  `discountprice` decimal(10,2) DEFAULT NULL,
  `salesprice` decimal(10,2) DEFAULT NULL,
  `reorderlevel` int(11) DEFAULT NULL,
  `stocksqty` int(11) DEFAULT NULL,
  `expirydate` date DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `dateencoded` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblproductset`
--

CREATE TABLE `tblproductset` (
  `id` int(11) NOT NULL,
  `setcode` varchar(50) NOT NULL,
  `setname` varchar(255) NOT NULL,
  `totalamount` decimal(10,2) NOT NULL,
  `setonhand` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `dateencoded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblsales`
--

CREATE TABLE `tblsales` (
  `id` int(11) NOT NULL,
  `invoice` varchar(50) DEFAULT NULL,
  `itemid` int(11) DEFAULT NULL,
  `saleqty` int(11) DEFAULT NULL,
  `total` decimal(10,2) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `dateencoded` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblunit`
--

CREATE TABLE `tblunit` (
  `id` int(11) NOT NULL,
  `unitname` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `userid` int(11) NOT NULL,
  `dateencoded` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbluser`
--

CREATE TABLE `tbluser` (
  `id` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `completename` varchar(100) NOT NULL,
  `accountcategory` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbluserlog`
--

CREATE TABLE `tbluserlog` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `logintime` datetime NOT NULL,
  `logouttime` datetime DEFAULT NULL,
  `daterecorded` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `companysetup`
--
ALTER TABLE `companysetup`
  ADD PRIMARY KEY (`index_num`);

--
-- Indexes for table `tbladjustitemqty`
--
ALTER TABLE `tbladjustitemqty`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblaudittrail`
--
ALTER TABLE `tblaudittrail`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblcategory`
--
ALTER TABLE `tblcategory`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblinvoice`
--
ALTER TABLE `tblinvoice`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblitemrawmaterial`
--
ALTER TABLE `tblitemrawmaterial`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblproduct`
--
ALTER TABLE `tblproduct`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblproductset`
--
ALTER TABLE `tblproductset`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblsales`
--
ALTER TABLE `tblsales`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tblunit`
--
ALTER TABLE `tblunit`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbluser`
--
ALTER TABLE `tbluser`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tbluserlog`
--
ALTER TABLE `tbluserlog`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `companysetup`
--
ALTER TABLE `companysetup`
  MODIFY `index_num` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbladjustitemqty`
--
ALTER TABLE `tbladjustitemqty`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblaudittrail`
--
ALTER TABLE `tblaudittrail`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblcategory`
--
ALTER TABLE `tblcategory`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblinvoice`
--
ALTER TABLE `tblinvoice`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblitemrawmaterial`
--
ALTER TABLE `tblitemrawmaterial`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblsales`
--
ALTER TABLE `tblsales`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblunit`
--
ALTER TABLE `tblunit`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbluser`
--
ALTER TABLE `tbluser`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbluserlog`
--
ALTER TABLE `tbluserlog`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
